<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="back()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title *ngIf="data && this.dataRoot">
			{{this.dataRoot!.Id > 0? lbl.updateProcess: lbl.postProcess}}
		</ion-title>
	</ion-toolbar>
</ion-header>

<ion-content *ngIf="data && this.dataRoot" class="has-fixed-bottom">
	<div class="title-fixed note">
		<span>Tiến trình sẽ tiếp tục được xử lý. Bạn có thể quay lại và xem các tin khác.</span>
	</div>
	<ion-list>
		<ion-item lines="none">
			<ion-label>Các bước thực hiện: {{stepped}}/{{maxStep}}</ion-label>
		</ion-item>
		<ion-item lines="none" [ngClass]="{'active': stepped==0}">
			<ion-label>Bước 1: {{this.dataRoot!.Id > 0? lbl.updateRao: lbl.postRao}} </ion-label>
			<ion-icon color="success" name="checkmark" *ngIf="stepped >= 1"></ion-icon>
			<ion-spinner name="lines" *ngIf="stepped == 0"></ion-spinner>
		</ion-item>
		<ion-item lines="none" [ngClass]="{'active': stepped==2}">
			<ion-label *ngIf="this.listFileUploaded.length > 0">Bước 2: Đã tải
				{{numFileUploaded}}/{{this.listFileUploaded.length}}</ion-label>
			<ion-label *ngIf="!(this.listFileUploaded.length > 0)">Bước 2: Đang tải...</ion-label>

			<ion-icon color="success" name="checkmark" *ngIf="stepped >= 2"></ion-icon>
			<ion-spinner name="lines" *ngIf="stepped == 1"></ion-spinner>
		</ion-item>
		<ion-item lines="none" *ngFor="let fUploads of this.listFileUploaded; let i = index">
			<ion-thumbnail class="avatar-upload" [ngClass]="{'active': fUploads.isUploaded}" slot="start">
				<img [src]="fUploads.base64Image" />
			</ion-thumbnail>
			<span *ngIf="!fUploads.isUploaded">{{((fUploads.percentage|async)|| 0 )|round}}%</span>
			<ion-progress-bar color="success" value="{{((fUploads.percentage|async)|| 0 ) / 100 }}"></ion-progress-bar>
			<ion-buttons>
				<ion-spinner name="lines" *ngIf="!isfinish && !fUploads.isUploaded"></ion-spinner>
				<ion-button *ngIf="isfinish && !fUploads.isUploaded">
					<ion-icon name="refresh">Retry</ion-icon>
				</ion-button>
				<ion-button *ngIf="isfinish" (click)="removeImage(fUploads)">
					<ion-icon name="trash" slot="icon-only"></ion-icon>
				</ion-button>
			</ion-buttons>
		</ion-item>
	</ion-list>

</ion-content>


<ion-fab vertical="bottom" *ngIf="isfinish">
	<div class="fixed-bottom-container">
		<div class="fixed-bottom-container-row">
			<ion-button style="width: 100%" class="add-btn" color="dark" expand="block" size="default"
				[disabled]="!checkErrorUploadListImage()" (click)="b2_ProcessUpload()">
				{{lbl.retry}}
			</ion-button>
			<ion-button style="width: 100%" class="add-btn" color="dark" expand="block" size="default"
				[disabled]="!checkErrorUploadListImage()" (click)="ignoreImage()">
				{{lbl.ignore}}
			</ion-button>
			<ion-button style="width: 100%" class="add-btn" color="secondary" expand="block" size="default"
				[disabled]="checkErrorUploadListImage()" (click)="b2_ProcessUpload()">
				{{lbl.next}}
			</ion-button>
		</div>
	</div>
</ion-fab>